@font-face {
  font-family: "Lamoon";
  src: url(../../asset/fonts/FC_Lamoon/FC_Lamoon_Regular.ttf);
}

@font-face {
  font-family: "Lamoon";
  font-weight: bold;
  src: url(../../asset/fonts/FC_Lamoon/FC_Lamoon_Bold.ttf);
}

@font-face {
  font-family: "Lamoon";
  font-weight: bold;
  font-style: italic;
  src: url(../../asset/fonts/FC_Lamoon/FC_Lamoon_Bold_Italic.ttf);
}

a,
a:visited,
a:active,
a:hover {
  color: unset;
  text-decoration: unset;
}

/* Navbar */
header .navbar {
  position: relative;
  background-color: #1b1b19;
  height: 70px;
}

.nav-logo {
  height: 100%;
}

.nav-logo img {
  position: relative;
  height: 160%;
  z-index: 99;
}

#nav-menu>ul {
  padding-left: 2em;
  font-family: "Lamoon";
  display: flex;
  gap: 2em;
  font-weight: 600;
  color: white;
  margin: 0;
  list-style-type: none;
  font-size: 30px;
}

#nav-menu>ul>li {
  transition: .3s;
}

#nav-menu>ul>li.active {
  color: #85E3EA;
  border-bottom: 1px solid #85E3EA;
}

#nav-menu>ul>li:not(.active):hover {
  opacity: .7;
  color: #85E3EA;
}

.nav-content {
  display: flex;
  justify-content: space-between;
  height: 100%;
}

#btn-hamburger {
  display: none;
  color: white;
}

@media screen and (max-width: 992px) {
  .nav-logo {
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
  }

  #btn-hamburger {
    display: block;
    position: absolute;
    top: 50%;
    left: 3.5%;
    transform: translateY(-50%);
    transition: color .4s;
  }

  #nav-menu {
    position: absolute;
    top: 40px;
    left: 0;
    z-index: 2;
    overflow: hidden;
  }

  #nav-menu>ul {
    flex-direction: column;
    background-color: rgba(0, 0, 0, .5);
    padding: 0 1rem;
    gap: unset;
    border-radius: 0 0 10px 0;
    max-height: 0;
    max-width: 0;
    transition: all .4s;
  }

  #nav-menu>ul>li:not(:last-child) {
    border-bottom: 2px solid white;
  }

  #btn-hamburger.active {
    color: #85E3EA;
  }

  #btn-hamburger.active~#nav-menu>ul {
    max-height: 500px;
    max-width: 500px;
  }

  header .navbar {
    height: 40px;
    padding: 3px;
  }

  .nav-logo img {
    height: 100%;
  }
}
